Hi everyone,

I just tried to upgrade/migrate our SLES 11 Server from SP1 to SP2. I followed the instructions as found under the following link: http://www.novell.com/support/kb/doc.php?id=7010200
There I sticked to section "2) Update by using zypper". The second to last command in that section ("zypper update -t patch") should initiate a "full migration". However, this is resulting in the below error message

My questions are:

  1. How should I proceed from here on? What does "deinstallation of product:SUSE_SLES-11.2-1.513.x86_64" exactly mean? Will it conduct a complete rollback of the installed SP2?
  2. And what does solution 2 "do not install patch:slessp2-SLES-SP3-Migration-8065.noarch" mean? What do I then need to to do in order to migrate from SP2 to SP3?
  3. I guess solution 3 ("break product") is not advisable at all, is it?


Thank you very much for your time!

Best wishes
Jan

------

Here is the plain output from zypper:

Code:
sudo zypper update -t patch
Code:
Refreshing service 'nu_novell_com'.
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: product:SUSE_SLES-11.2-1.513.x86_64 requires sles-release = 11.2-1.513, but this requirement cannot be provided
 Solution 1: deinstallation of product:SUSE_SLES-11.2-1.513.x86_64
 Solution 2: do not install patch:slessp2-SLES-SP3-Migration-8065.noarch
 Solution 3: break product:SUSE_SLES-11.2-1.513.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/3/c] (c): c